This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 248937 - nx requires -fPIC on PowerPC or /usr/lib/nx/lib*.so won't load
nx requires -fPIC on PowerPC or /usr/lib/nx/lib*.so won't load
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
7
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-19 14:08 EDT by Lyonel Vincent
Modified: 2008-03-06 11:34 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.1.0-25.1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lyonel Vincent 2007-07-19 14:08:27 EDT
Description of problem:
trying to launch nxagent (after having fixed the missing libXcomp and
libXcompext shared libs, cf. #247921) gives:

/usr/libexec/nx/nxagent: error while loading shared libraries:
/usr/lib/nx/libXcomp.so.2: R_PPC_REL24 relocation at 0x0f884aec for symbol
`memcpy' out of range

Version-Release number of selected component (if applicable):
nx-2.1.0-22.fc7

How reproducible:
100%

Steps to Reproduce:
1. install nx and freenx
2. add /usr/lib/nx/ to /etc/ld.so.conf
3. run /usr/libexec/nx/nxagent
  
Actual results:
/usr/lib/nx/libXcomp.so.2: R_PPC_REL24 relocation at 0x0f884aec for symbol
`memcpy' out of range

Expected results:
nxagent loads correctly

Additional info:
 * nx should be rebuilt with '-fPIC' (as it is on x86-64)
 * libXcomp and libXcompext are not correctly setup (cf. #247921)
Comment 1 Fedora Update System 2008-03-04 18:03:06 EST
nx-3.1.0-25.1.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-03-06 11:34:15 EST
nx-3.1.0-25.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.